Subject: [Speechsc] Control sessions without media sessions

From: "Dave Burke" <[email-masked]>
Date: Thu, 2 Jun 2005 17:43:25 +0100

Hello,

In section 4.3, we say:

If there are more than 1 audio m-line, then each audio 
m-line MUST have a "mid" attribute. Each control m-line MUST have a 
 "cmid" attribute that matches the "mid" attribute of the audio m-
line it is associated with. 

Should there be an "and" linking both sentences since I might want to set up a control channel without a media session for doing INTERPRETs or even DEFINE-GRAMMARs?

Am curious as to why the channel identifier is not instead a "media session identifier" and associated with the m=audio line. This way, control messages could explicitly apply to specific media pipe(s) via a Media-Identifier header (which would be in place of Channel-Identifier header). Not relevant for MRCP but is for say conference control where the non-static 1-to-many relationship is useful.

-- Dave
_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc

---

From: "Dave Burke" <[email-masked]>
Date: Thu, 2 Jun 2005 17:55:52 +0100

Think I've just answered my curiousity: The Channel-Identifier allows a server-side resource to be reserved at session establishment time.

Still looking for feedback on my first question (that is from other than from myself!).

- Dave

----- Original Message ----- 
  From: Dave Burke 
  To: [email-masked] 
  Sent: Thursday, June 02, 2005 5:43 PM
  Subject: [Speechsc] Control sessions without media sessions

  Hello,

  In section 4.3, we say:

  -- Dave

------------------------------------------------------------------------------

---

From: "Dave Burke" <[email-masked]>
Date: Thu, 2 Jun 2005 19:29:44 +0100

A related point:

The cmid mechanism only allows a 1:1 control:media relationship. However, I might easily want to extend my speechsynth resource to handle 3gp files with audio and video. In that case I want a 1:2 relationship but I can't do that currently because the cmid must match one mid and each mid is unique within the SDP. 

A more flexible solution might be to go with RFC3388 (i.e. have a=mid for the control channel and use a=group:MRCP)

-- Dave
  ----- Original Message ----- 
  From: Dave Burke 
  To: [email-masked] 
  Sent: Thursday, June 02, 2005 5:55 PM
  Subject: Re: [Speechsc] Control sessions without media sessions

  - Dave

  ----- Original Message ----- 
    From: Dave Burke 
    To: [email-masked] 
    Sent: Thursday, June 02, 2005 5:43 PM
    Subject: [Speechsc] Control sessions without media sessions

    Hello,

    In section 4.3, we say:

    -- Dave

----------------------------------------------------------------------------